bm::bitblock_sum_adapter Class Reference

Bit-block sum adapter, takes values and sums it /internal. More...

`#include <bmfunc.h>`

## Public Member Functions

| bitblock_sum_adapter ()
BMFORCEINLINE void | push_back (bm::word_t w) BMNOEXCEPT
bm::word_t | sum () const BMNOEXCEPT
| Get accumulated sum.

## Detailed Description

Bit-block sum adapter, takes values and sums it /internal.

Definition at line 9389 of file bmfunc.h.

## Constructor & Destructor Documentation

## bitblock_sum_adapter()

bm::bitblock_sum_adapter::bitblock_sum_adapter | ( |  | ) |

inline

Definition at line 9392 of file bmfunc.h.

## Member Function Documentation

## push_back()

BMFORCEINLINE void bm::bitblock_sum_adapter::push_back | ( | bm::word_t | w | ) |

inline

Definition at line 9394 of file bmfunc.h.

References BMNOEXCEPT.

## sum()

bm::word_t bm::bitblock_sum_adapter::sum | ( |  | ) | const

inline

Get accumulated sum.

Definition at line 9396 of file bmfunc.h.

References BMNOEXCEPT.

Referenced by bm::serial_stream_iterator< DEC, BLOCK_IDX >::get_bit_block_COUNT_OR(), bm::serial_stream_iterator< DEC, BLOCK_IDX >::get_bit_block_COUNT_SUB_AB(), bm::serial_stream_iterator< DEC, BLOCK_IDX >::get_bit_block_COUNT_SUB_BA(), and bm::serial_stream_iterator< DEC, BLOCK_IDX >::get_bit_block_COUNT_XOR().

The documentation for this class was generated from the following file:

- bmfunc.h